• ログイン今すぐ開始

本書は、お客様のご参考のために原文の英語版を機械翻訳したものです。

英語版と齟齬がある場合、英語版の定めが優先するものとします。より詳しい情報については、本リンクをご参照ください。

問題を作成する

PHPのアップデート後にエージェントが動作しなくなる

問題

PHP を サポートされているリリースバージョン にアップデートしたが、PHP エージェントが動作しなくなったり、レポートが表示されなくなったりした。

解決策

インストールしている PHP を別のメジャーリリースバージョンにアップデートする場合 (例えば、5.3 から 5.4)、PHP エージェントを再インストールする必要があります。PHP をマイナーリリースバージョンにアップデートする場合は、エージェントを再インストールする必要はありません。

エージェントを再インストールするには、お使いのプラットフォームの インストール手順 に従うか、 newrelic-install install コマンドを使用して、 newrelic-install script を起動します。

パッケージマネージャー (例: apt-get upgrade) を使用してパッケージを指定せずに PHP をアップデートする場合、その過程で New Relic PHP エージェント のアップグレードも行われる可能性があります。アップグレードが正常に適用されるようにするために

  1. ウェブサーバーを再起動します(Apache、Nginx、PHP-FPMなど)。
  2. 5分ほど待って、エージェントが報告を開始するかどうかを確認します。
  3. エージェントがまだ報告されない場合は、 デーモンの設定を確認してください 。外部モードで起動するように設定されている場合は、 エージェントがレポートを開始するために、デーモン を手動で起動する必要があります。
Copyright © 2022 New Relic Inc.

This site is protected by reCAPTCHA and the Google Privacy Policy and Terms of Service apply.